## plasma-thunderbolt 5.18.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(kcm_bolt)

set(CMAKE_CXX_STANDARD 14)

#################################################
# Dependencies

set(QT5_VERSION "5.10")
set(KF5_VERSION "5.40")

find_package(ECM ${KF5_VERSION} REQUIRED)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(ECMQtDeclareLoggingCategory)
include(GenerateExportHeader)
include(CheckIncludeFiles)
include(CheckSymbolExists)
include(FeatureSummary)

kde_enable_exceptions()

#################################################
# Dependencies

find_package(Qt5Core ${QT_VERSION} REQUIRED)
find_package(Qt5Quick ${QT_VERSION} REQUIRED)
find_package(Qt5DBus ${QT_VERSION} REQUIRED)
if (BUILD_TESTING)
    find_package(Qt5Test ${QT_VERSION} REQUIRED)
endif()

find_package(KF5CoreAddons ${KF5_VERSION} REQUIRED)
find_package(KF5KCMUtils ${KF5_VERSION} REQUIRED)
find_package(KF5Declarative ${KF5_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_VERSION} REQUIRED)
find_package(KF5DBusAddons ${KF5_VERSION} REQUIRED)
find_package(KF5Notifications ${KF5_VERSION} REQUIRED)

find_package(Bolt)
set_package_properties(Bolt PROPERTIES DESCRIPTION "Thunderbolt device manager"
                       URL "https://gitlab.freedesktop.org/bolt/bolt"
                       PURPOSE "Runtime-only dependency for Thunderbolt KCM"
                       TYPE RUNTIME)

#################################################
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
endif()
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()
add_subdirectory(src)

################################################

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== debian/changelog ===
plasma-thunderbolt (5.18.4.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.4.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Apr 2020 19:47:43 +0100

plasma-thunderbolt (5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:09:12 +0000

plasma-thunderbolt (5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:31:17 +0000

plasma-thunderbolt (5.18.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:38:06 +0000

plasma-thunderbolt (5.18.0-0ubuntu2) focal; urgency=medium

  * Correct spelling error in long description.

 -- Rik Mills <rikmills@kde.org>  Sat, 15 Feb 2020 12:43:00 +0000

plasma-thunderbolt (5.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 15 Feb 2020 08:09:55 +0000

plasma-thunderbolt (5.17.5-2) unstable; urgency=medium

  * Upload to unstable.
  * Slightly improve the description.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 22:16:36 +0100

plasma-thunderbolt (5.17.5-1) experimental; urgency=medium

  [ Jonathan Riddell ]
  [ Pino Toscano ]
  * Initial packaging.

 -- Pino Toscano <pino@debian.org>  Sun, 19 Jan 2020 14:31:56 +0100

=== debian/control ===
Source: plasma-thunderbolt
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: bolt,
               cmake (>= 3.10~),
               dbus-x11,
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.40.0~),
               gettext,
               libkf5coreaddons-dev (>= 5.40.0~),
               libkf5dbusaddons-dev (>= 5.40.0~),
               libkf5declarative-dev (>= 5.40.0~),
               libkf5i18n-dev (>= 5.40.0~),
               libkf5kcmutils-dev (>= 5.40.0~),
               libkf5notifications-dev (>= 5.40.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtdeclarative5-dev (>= 5.10.0~),
               xauth,
               xvfb,
Standards-Version: 4.5.0
Homepage: https://cgit.kde.org/plasma-thunderbolt.git/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-thunderbolt
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-thunderbolt

Package: plasma-thunderbolt
Architecture: any
Depends: bolt,
         qml-module-org-kde-kcm,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Plasma addons for managing Thunderbolt devices
 Plasma System settings module and a KDED module to handle authorization
 of Thunderbolt devices connected to the computer.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5

override_dh_auto_test:
	xvfb-run -a dbus-launch dh_auto_test --no-parallel

## plasma-thunderbolt 5.19.5

=== debian/changelog ===
plasma-thunderbolt (5.19.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Sep 2020 12:54:59 +0100

plasma-thunderbolt (5.19.4-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jul 2020 20:43:28 +0100

plasma-thunderbolt (5.19.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jul 2020 14:00:48 +0100

plasma-thunderbolt (5.19.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.0)
  * New upstream release (5.19.1)
  * New upstream release (5.19.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Jun 2020 13:46:48 +0100

plasma-thunderbolt (5.18.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.18.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 May 2020 23:41:48 +0100

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
                cmake (>= 3.10~),
                dbus-x11,
                debhelper-compat (= 12),
-               extra-cmake-modules (>= 5.40.0~),
+               extra-cmake-modules (>= 5.70.0~),
                gettext,
-               libkf5coreaddons-dev (>= 5.40.0~),
-               libkf5dbusaddons-dev (>= 5.40.0~),
-               libkf5declarative-dev (>= 5.40.0~),
-               libkf5i18n-dev (>= 5.40.0~),
-               libkf5kcmutils-dev (>= 5.40.0~),
-               libkf5notifications-dev (>= 5.40.0~),
+               libkf5coreaddons-dev (>= 5.70.0~),
+               libkf5dbusaddons-dev (>= 5.70.0~),
+               libkf5declarative-dev (>= 5.70.0~),
+               libkf5i18n-dev (>= 5.70.0~),
+               libkf5kcmutils-dev (>= 5.70.0~),
+               libkf5notifications-dev (>= 5.70.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
                qtdeclarative5-dev (>= 5.10.0~),

## plasma-thunderbolt 5.20.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # Dependencies
 
 set(QT5_VERSION "5.10")
-set(KF5_VERSION "5.40")
+set(KF5_VERSION "5.70")
 
 find_package(ECM ${KF5_VERSION} REQUIRED)

=== autotests/kded/CMakeLists.txt ===
include(ECMAddTests)

include_directories(
    ${CMAKE_SOURCE_DIR}/src/kded
    ${CMAKE_BINARY_DIR}/src/kded
)

ecm_add_test(
    kdedtest.cpp
    ${CMAKE_SOURCE_DIR}/src/kded/kded_bolt.cpp
    ${CMAKE_BINARY_DIR}/src/kded/kded_bolt_debug.cpp
    TEST_NAME kdedtest
    LINK_LIBRARIES kbolt libboltfakeserver Qt5::Test Qt5::Core Qt5::DBus KF5::CoreAddons KF5::DBusAddons KF5::I18n KF5::Notifications
    NAME_PREFIX kbolt-kded-
)
set_target_properties(kdedtest PROPERTIES CXX_STANDARD 14)

=== autotests/lib/CMakeLists.txt ===
include(ECMAddTests)

macro(add_libkbolt_test name)
    ecm_add_test(
        ${name}.cpp
        LINK_LIBRARIES kbolt libboltfakeserver Qt5::Test Qt5::Core Qt5::DBus
        NAME_PREFIX libkbolt-
    )
    set_target_properties(${name} PROPERTIES CXX_STANDARD 14)
endmacro()

add_libkbolt_test(managertest)
add_libkbolt_test(devicetest)

=== debian/changelog ===
plasma-thunderbolt (5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:53 +0900

plasma-thunderbolt (5.20.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:38 +0900

plasma-thunderbolt (5.20.4-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.20.4).

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:33 +0900

plasma-thunderbolt (5.19.5-3) unstable; urgency=medium

  [ Scarlett Moore ]
  * Remove obsolete fields from d/upstream/metadata already
    defined in d/copyright.

 -- Norbert Preining <norbert@preining.info>  Fri, 06 Nov 2020 08:37:24 +0900

plasma-thunderbolt (5.19.5-2) experimental; urgency=medium

  * Rebuild for Qt 5.15

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 09:27:43 +0900

plasma-thunderbolt (5.19.5-1) experimental; urgency=medium

  * New upstream release (5.19.5).
  * Add Patrick and myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 18:45:56 +0900

plasma-thunderbolt (5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * New upstream release (5.18.5).
  * Update build-deps and deps with the info from cmake.
    - Add qtbase5-dev.
    - wrap-and-sort.

  [ Norbert Preining ]
  * New upstream release (5.19.4).
  * Update build-deps with the info from cmake.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 05 Apr 2020 12:44:55 +0200

plasma-thunderbolt (5.17.5-3) unstable; urgency=medium

  * Team upload.

  [ Rik Mills ]
  * Correct spelling error in long description.

  [ Scarlett Moore ]
  * Bump compat level to 13.
  * Add Rules-Requires-Root field to control.
  * Add myself to Uploaders.
  * Remove not needed injection of linker flags.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Set/Update field Upstream-Contact in debian/copyright.

  [ Norbert Preining ]
  * Add upstream metadata.
  * Enable hardening.
  * Rename lintian tags according to upstream.

  [ Pino Toscano ]
  * Avoid hardcoded architecture in lintian overrides.
  * Pass --exit-with-session to dbus-launch, to make sure dbus-daemon exits
    when the command terminates.

 -- Pino Toscano <pino@debian.org>  Tue, 01 Sep 2020 10:54:07 +0200

=== debian/control ===
Source: plasma-thunderbolt
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: bolt,
               cmake (>= 3.10~),
               dbus-x11,
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.70.0~),
               gettext,
               libkf5coreaddons-dev (>= 5.70.0~),
               libkf5dbusaddons-dev (>= 5.70.0~),
               libkf5declarative-dev (>= 5.70.0~),
               libkf5i18n-dev (>= 5.70.0~),
               libkf5kcmutils-dev (>= 5.70.0~),
               libkf5notifications-dev (>= 5.70.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev,
               qtdeclarative5-dev (>= 5.10.0~),
               xauth,
               xvfb,
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/plasma/plasma-thunderbolt
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-thunderbolt
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-thunderbolt.git
Rules-Requires-Root: no

Package: plasma-thunderbolt
Architecture: any
Depends: bolt,
         qml-module-org-kde-kcm,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma addons for managing Thunderbolt devices
 Plasma System settings module and a KDED module to handle authorization
 of Thunderbolt devices connected to the computer.

## plasma-thunderbolt 5.21.4

=== debian/changelog ===
plasma-thunderbolt (5.21.4-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix and translation release (5.21.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Apr 2021 11:11:00 +0100

plasma-thunderbolt (5.21.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Mar 2021 20:35:29 +0000

plasma-thunderbolt (5.21.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Mar 2021 14:13:55 +0000

plasma-thunderbolt (5.21.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Feb 2021 15:07:28 +0000

plasma-thunderbolt (5.21.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:23:12 +0000

plasma-thunderbolt (5.20.90-0ubuntu1) hirsute; urgency=medium

  * New upstream (beta) release (5.20.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Jan 2021 23:46:10 +0000

## plasma-thunderbolt 5.22.5

=== debian/changelog ===
plasma-thunderbolt (5.22.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 00:50:36 +0200

plasma-thunderbolt (5.22.4-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Jul 2021 13:44:21 +0100

plasma-thunderbolt (5.22.3-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Jul 2021 14:07:53 +0100

plasma-thunderbolt (5.22.2.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 21:56:22 +0100

plasma-thunderbolt (5.22.2-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 18:59:25 +0100

plasma-thunderbolt (5.22.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Jun 2021 14:11:52 +0100

plasma-thunderbolt (5.22.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 09 Jun 2021 20:53:41 +0100

plasma-thunderbolt (5.21.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.21.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 May 2021 17:03:54 +0100

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,14 @@
                cmake (>= 3.10~),
                dbus-x11,
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.70.0~),
+               extra-cmake-modules (>= 5.82.0~),
                gettext,
-               libkf5coreaddons-dev (>= 5.70.0~),
-               libkf5dbusaddons-dev (>= 5.70.0~),
-               libkf5declarative-dev (>= 5.70.0~),
-               libkf5i18n-dev (>= 5.70.0~),
-               libkf5kcmutils-dev (>= 5.70.0~),
-               libkf5notifications-dev (>= 5.70.0~),
+               libkf5coreaddons-dev (>= 5.82.0~),
+               libkf5dbusaddons-dev (>= 5.82.0~),
+               libkf5declarative-dev (>= 5.82.0~),
+               libkf5i18n-dev (>= 5.82.0~),
+               libkf5kcmutils-dev (>= 5.82.0~),
+               libkf5notifications-dev (>= 5.82.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev,

## plasma-thunderbolt 5.24.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.10)
+cmake_minimum_required(VERSION 3.16)
 
 project(kcm_bolt)
 
@@ -6,9 +6,9 @@
 
 #################################################
 # Dependencies
-
-set(QT5_VERSION "5.10")
-set(KF5_VERSION "5.70")
+set(QT_MIN_VERSION "5.15.0")
+set(KF5_VERSION "5.86")
+set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 find_package(ECM ${KF5_VERSION} REQUIRED)
 
@@ -16,13 +16,14 @@
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDEClangFormat)
 include(ECMQtDeclareLoggingCategory)
 include(GenerateExportHeader)
 include(CheckIncludeFiles)
 include(CheckSymbolExists)
 include(FeatureSummary)
+include(KDEGitCommitHooks)
 
 kde_enable_exceptions()
 
@@ -50,9 +51,9 @@
                        TYPE RUNTIME)
 
 #################################################
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
-endif()
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050c00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800)
+
 if (BUILD_TESTING)
     add_subdirectory(autotests)
 endif()
@@ -63,6 +64,7 @@
 # add clang-format target for all our real source files
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/kcm/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_bolt\")
include_directories(${CMAKE_CURRENT_BINARY_DIR})


add_library(kcm_bolt MODULE)
target_sources(kcm_bolt PRIVATE
    kcm_bolt.cpp
    kcm_bolt.h
)
set_target_properties(kcm_bolt PROPERTIES CXX_STANDARD 14)
target_link_libraries(kcm_bolt
    KF5::QuickAddons
    KF5::I18n
    KF5::Declarative
    kbolt
)

install(TARGETS kcm_bolt DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/kcms/systemsettings)
install(FILES kcm_bolt.desktop DESTINATION ${KDE_INSTALL_APPDIR})

kpackage_install_package(package kcm_bolt kcms)

=== debian/changelog ===
plasma-thunderbolt (5.24.4-0ubuntu1) jammy; urgency=medium

  * New upstream bugfix release (5.24.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Mar 2022 10:21:47 +0100

plasma-thunderbolt (5.24.3-0ubuntu1) jammy; urgency=medium

  * Update maintainer to Kubuntu Developers.
  * New upstream release (5.24.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Mar 2022 12:16:13 +0000

plasma-thunderbolt (5.24.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Feb 2022 15:03:19 +0000

plasma-thunderbolt (5.24.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Feb 2022 14:22:42 +0000

plasma-thunderbolt (5.24.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Feb 2022 21:28:55 +0000

plasma-thunderbolt (5.23.90-0ubuntu1) jammy; urgency=medium

  * New upstream beta release (5.23.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Jan 2022 10:20:24 +0000

plasma-thunderbolt (5.23.5-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Jan 2022 10:42:09 +0000

plasma-thunderbolt (5.23.4-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 30 Nov 2021 21:58:17 +0000

plasma-thunderbolt (5.23.3-1ubuntu1) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Nov 2021 17:19:01 +0000

plasma-thunderbolt (5.23.3-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 10 Nov 2021 08:42:22 +0900

plasma-thunderbolt (5.23.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.

  [ Norbert Preining ]
  * New upstream release (5.23.1).
  * New upstream release (5.23.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Nov 2021 22:21:04 +0900

plasma-thunderbolt (5.23.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.0).

 -- Norbert Preining <norbert@preining.info>  Thu, 14 Oct 2021 20:13:16 +0900

plasma-thunderbolt (5.21.5-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Release to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 17 Aug 2021 03:25:11 +0200

plasma-thunderbolt (5.21.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.5).

 -- Patrick Franz <patfra71@gmail.com>  Fri, 07 May 2021 13:55:37 +0200

plasma-thunderbolt (5.21.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.4).

 -- Patrick Franz <patfra71@gmail.com>  Tue, 06 Apr 2021 17:48:10 +0200

plasma-thunderbolt (5.21.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Mar 2021 05:49:42 +0900

plasma-thunderbolt (5.21.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Mar 2021 05:33:50 +0900

plasma-thunderbolt (5.21.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.1).

 -- Norbert Preining <norbert@preining.info>  Wed, 24 Feb 2021 14:36:40 +0900

plasma-thunderbolt (5.21.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.0).

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Feb 2021 05:42:28 +0900

## plasma-thunderbolt 5.24.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -66,7 +66,6 @@
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 
+ki18n_install(po)
+
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
-
-find_package(KF5I18n CONFIG REQUIRED)
-ki18n_install(po)

=== src/kded/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kded_bolt\")

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
)



add_library(kded_bolt MODULE)
target_sources(kded_bolt PRIVATE
    main.cpp
    kded_bolt.cpp
    kded_bolt.h
)
ecm_qt_declare_logging_category(kded_bolt
    HEADER kded_bolt_debug.h
    IDENTIFIER log_kded_bolt
    CATEGORY_NAME org.kde.bolt.kded
)
set_target_properties(kded_bolt PROPERTIES CXX_STANDARD 14)
kcoreaddons_desktop_to_json(kded_bolt kded_bolt.desktop)
target_link_libraries(kded_bolt
    KF5::DBusAddons
    KF5::I18n
    KF5::Notifications
    KF5::CoreAddons
    kbolt
)

install(TARGETS kded_bolt DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kded)
install(FILES kded_bolt.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})

=== debian/changelog ===
plasma-thunderbolt (5.24.7-0ubuntu0.1) jammy; urgency=medium

  * New upstream bugfix release (5.24.7) (LP: #1992971)

 -- Rik Mills <rikmills@kde.org>  Mon, 17 Oct 2022 14:49:28 +0100

=== debian/control ===
Source: plasma-thunderbolt
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <deltaone@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: bolt,
               cmake (>= 3.16~),
               dbus-x11,
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5dbusaddons-dev (>= 5.90.0~),
               libkf5declarative-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5kcmutils-dev (>= 5.90.0~),
               libkf5notifications-dev (>= 5.90.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev,
               qtdeclarative5-dev (>= 5.10.0~),
               xauth,
               xvfb,
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/plasma/plasma-thunderbolt
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-thunderbolt
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-thunderbolt
Rules-Requires-Root: no

Package: plasma-thunderbolt
Architecture: any
Depends: bolt,
         qml-module-org-kde-kcm,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma addons for managing Thunderbolt devices
 Plasma System settings module and a KDED module to handle authorization
 of Thunderbolt devices connected to the computer.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with kf5

override_dh_auto_test:
	xvfb-run -a dbus-launch --exit-with-session dh_auto_test --no-parallel

## plasma-thunderbolt 5.25.5

=== debian/changelog ===
plasma-thunderbolt (5.25.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Sep 2022 15:33:34 +0100

plasma-thunderbolt (5.25.4-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Wed, 03 Aug 2022 11:48:16 +0100

plasma-thunderbolt (5.25.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 02 Aug 2022 17:31:58 +0200

plasma-thunderbolt (5.25.4-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Aug 2022 18:00:47 +0100

plasma-thunderbolt (5.25.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.2).
  * Mark xauth and xvfb as <!nocheck> build dependencies.
  * Add a Recommends on systemsettings used to invoke KCM.
  * New upstream release (5.25.3).
  * Release to unstable

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 17 Jul 2022 15:27:16 +0200

plasma-thunderbolt (5.25.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jul 2022 14:45:18 +0100

plasma-thunderbolt (5.25.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jun 2022 14:18:20 +0100

plasma-thunderbolt (5.25.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.25.1).

 -- Patrick Franz <deltaone@debian.org>  Tue, 21 Jun 2022 21:46:36 +0200

plasma-thunderbolt (5.25.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 21 Jun 2022 16:28:38 +0100

plasma-thunderbolt (5.25.0-1) experimental; urgency=medium

  * New upstream release (5.25.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 14 Jun 2022 21:26:31 +0200

plasma-thunderbolt (5.25.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Jun 2022 08:07:14 +0100

plasma-thunderbolt (5.24.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.90).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 20 May 2022 11:45:01 +0200

plasma-thunderbolt (5.24.90-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 19 May 2022 18:41:55 +0100

plasma-thunderbolt (5.24.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 12 May 2022 21:39:45 +0200

plasma-thunderbolt (5.24.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 May 2022 15:50:01 +0100

plasma-thunderbolt (5.24.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 30 Mar 2022 13:46:22 +0200

plasma-thunderbolt (5.24.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.3).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Mar 2022 07:48:09 +0100

plasma-thunderbolt (5.24.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.24.2).
  * Bump Standards-Version to 4.6.0 (no changes needed).
  * Re-export signing key without extra signatures.
  * Update B-Ds and deps with the info from cmake.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 26 Feb 2022 21:59:45 +0100

plasma-thunderbolt (5.23.5-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.23.5).

 -- Patrick Franz <deltaone@debian.org>  Fri, 07 Jan 2022 15:44:57 +0100

plasma-thunderbolt (5.23.4-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.4).

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 Dec 2021 20:25:49 +0100

=== debian/control ===
Source: plasma-thunderbolt
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Pino Toscano <pino@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: bolt,
               cmake (>= 3.16~),
               dbus-x11,
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90~),
               gettext,
               libkf5coreaddons-dev (>= 5.90~),
               libkf5dbusaddons-dev (>= 5.90~),
               libkf5declarative-dev (>= 5.90~),
               libkf5i18n-dev (>= 5.90~),
               libkf5kcmutils-dev (>= 5.90~),
               libkf5notifications-dev (>= 5.90~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev,
               qtdeclarative5-dev (>= 5.15.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/plasma/plasma-thunderbolt
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-thunderbolt
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-thunderbolt
Rules-Requires-Root: no

Package: plasma-thunderbolt
Architecture: any
Depends: bolt,
         qml-module-org-kde-kcm,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: systemsettings
Description: Plasma addons for managing Thunderbolt devices
 Plasma System settings module and a KDED module to handle authorization
 of Thunderbolt devices connected to the computer.

## plasma-thunderbolt 5.27.3

=== debian/changelog ===
plasma-thunderbolt (5.27.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Mar 2023 15:19:57 +0000

plasma-thunderbolt (5.27.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Feb 2023 16:24:38 +0000

plasma-thunderbolt (5.27.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Feb 2023 18:48:21 +0000

plasma-thunderbolt (5.27.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Feb 2023 13:42:24 +0000

plasma-thunderbolt (5.26.90-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Feb 2023 13:31:21 +0000

plasma-thunderbolt (5.26.5-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 04 Jan 2023 09:00:52 +0000

plasma-thunderbolt (5.26.4-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Frameworks build deps bumped to 5.98.0.

 -- Rik Mills <rikmills@kde.org>  Fri, 16 Dec 2022 12:13:51 +0000

plasma-thunderbolt (5.26.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Nov 2022 16:01:50 +0100

plasma-thunderbolt (5.26.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Nov 2022 14:05:17 +0000

plasma-thunderbolt (5.26.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 08 Nov 2022 15:44:03 +0100

plasma-thunderbolt (5.26.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Nov 2022 14:12:48 +0000

plasma-thunderbolt (5.26.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.1).
  * New upstream release (5.26.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 27 Oct 2022 23:31:24 +0200

plasma-thunderbolt (5.26.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 05 Nov 2022 20:11:17 +0000

plasma-thunderbolt (5.26.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 11 Oct 2022 15:44:19 +0200

plasma-thunderbolt (5.25.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.90).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Sep 2022 00:14:23 +0200

plasma-thunderbolt (5.25.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 09 Sep 2022 23:21:24 +0200

## plasma-thunderbolt 5.27.4

=== debian/changelog ===
plasma-thunderbolt (5.27.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.4)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Apr 2023 09:39:25 +0100

=== debian/control ===
--- 
+++ 
@@ -12,14 +12,14 @@
                cmake (>= 3.16~),
                dbus-x11,
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.90~),
+               extra-cmake-modules (>= 5.102.0~),
                gettext,
-               libkf5coreaddons-dev (>= 5.90~),
-               libkf5dbusaddons-dev (>= 5.90~),
-               libkf5declarative-dev (>= 5.90~),
-               libkf5i18n-dev (>= 5.90~),
-               libkf5kcmutils-dev (>= 5.90~),
-               libkf5notifications-dev (>= 5.90~),
+               libkf5coreaddons-dev (>= 5.102.0~),
+               libkf5dbusaddons-dev (>= 5.102.0~),
+               libkf5declarative-dev (>= 5.102.0~),
+               libkf5i18n-dev (>= 5.102.0~),
+               libkf5kcmutils-dev (>= 5.102.0~),
+               libkf5notifications-dev (>= 5.102.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev,

## plasma-thunderbolt 5.27.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 #################################################
 # Dependencies
-set(QT_MIN_VERSION "5.15.0")
-set(KF5_VERSION "5.86")
+set(QT_MIN_VERSION "5.15.2")
+set(KF5_VERSION "5.97")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 find_package(ECM ${KF5_VERSION} REQUIRED)
@@ -24,17 +24,18 @@
 include(CheckSymbolExists)
 include(FeatureSummary)
 include(KDEGitCommitHooks)
+include(ECMDeprecationSettings)
 
 kde_enable_exceptions()
 
 #################################################
 # Dependencies
 
-find_package(Qt5Core ${QT_VERSION} REQUIRED)
-find_package(Qt5Quick ${QT_VERSION} REQUIRED)
-find_package(Qt5DBus ${QT_VERSION} REQUIRED)
+find_package(Qt${QT_MAJOR_VERSION}Core ${QT_VERSION} REQUIRED)
+find_package(Qt${QT_MAJOR_VERSION}Quick ${QT_VERSION} REQUIRED)
+find_package(Qt${QT_MAJOR_VERSION}DBus ${QT_VERSION} REQUIRED)
 if (BUILD_TESTING)
-    find_package(Qt5Test ${QT_VERSION} REQUIRED)
+    find_package(Qt${QT_MAJOR_VERSION}Test ${QT_VERSION} REQUIRED)
 endif()
 
 find_package(KF5CoreAddons ${KF5_VERSION} REQUIRED)
@@ -51,8 +52,10 @@
                        TYPE RUNTIME)
 
 #################################################
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050c00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800)
+ecm_set_disabled_deprecation_versions(QT 5.15.2
+    KF 5.101
+)
+
 
 if (BUILD_TESTING)
     add_subdirectory(autotests)

=== src/lib/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(LIBKBOLT_SRCS
    dbushelper.cpp
    device.cpp
    devicemodel.cpp
    enum.cpp
    manager.cpp
)

ecm_qt_declare_logging_category(LIBKBOLT_SRCS
    HEADER libkbolt_debug.h
    IDENTIFIER log_libkbolt
    CATEGORY_NAME org.kde.libkbolt
)

qt_add_dbus_interfaces(
    LIBKBOLT_SRCS

    ../interfaces/org.freedesktop.bolt1.manager.xml
    ../interfaces/org.freedesktop.bolt1.device.xml
)

add_library(kbolt SHARED ${LIBKBOLT_SRCS})
set_target_properties(kbolt PROPERTIES CXX_STANDARD 14)
generate_export_header(kbolt)
target_link_libraries(kbolt
    Qt${QT_MAJOR_VERSION}::Core
    Qt${QT_MAJOR_VERSION}::DBus
    KF5::I18n
)

target_include_directories(kbolt PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
)

# Don't create soname for kbolt, it's a private library
install(TARGETS kbolt ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

=== debian/changelog ===
plasma-thunderbolt (5.27.5-2) unstable; urgency=medium

  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 27 May 2023 18:23:43 +0200

plasma-thunderbolt (5.27.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.5).

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 May 2023 23:27:17 +0200

plasma-thunderbolt (5.27.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.3).

 -- Patrick Franz <deltaone@debian.org>  Wed, 22 Mar 2023 23:14:37 +0100

plasma-thunderbolt (5.27.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.1).
  * New upstream release (5.27.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Feb 2023 15:00:07 +0100

plasma-thunderbolt (5.27.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Feb 2023 17:08:41 +0100

plasma-thunderbolt (5.26.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.90).
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Jan 2023 21:50:55 +0100

plasma-thunderbolt (5.26.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:21:11 +0100

=== debian/control ===
Source: plasma-thunderbolt
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Pino Toscano <pino@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: bolt,
               cmake (>= 3.16~),
               dbus-x11,
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.97~),
               gettext,
               libkf5coreaddons-dev (>= 5.97~),
               libkf5dbusaddons-dev (>= 5.97~),
               libkf5declarative-dev (>= 5.97~),
               libkf5i18n-dev (>= 5.97~),
               libkf5kcmutils-dev (>= 5.97~),
               libkf5notifications-dev (>= 5.97~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev,
               qtdeclarative5-dev (>= 5.15.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/plasma-thunderbolt
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-thunderbolt
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-thunderbolt.git
Rules-Requires-Root: no

Package: plasma-thunderbolt
Architecture: any
Depends: bolt,
         qml-module-org-kde-kcm,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: systemsettings,
Description: Plasma addons for managing Thunderbolt devices
 Plasma System settings module and a KDED module to handle authorization
 of Thunderbolt devices connected to the computer.

## plasma-thunderbolt 5.27.8

=== debian/changelog ===
plasma-thunderbolt (5.27.8-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.8)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 12:32:06 +0100

plasma-thunderbolt (5.27.7-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Sep 2023 10:28:30 +0100

plasma-thunderbolt (5.27.7-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:51:09 +0200

plasma-thunderbolt (5.27.7-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.7)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Aug 2023 17:16:20 +0100

plasma-thunderbolt (5.27.6-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.6)

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jun 2023 17:37:57 +0100

plasma-thunderbolt (5.27.5-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.5)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 May 2023 05:15:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: plasma-thunderbolt
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
@@ -11,14 +12,14 @@
                cmake (>= 3.16~),
                dbus-x11,
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.97~),
+               extra-cmake-modules (>= 5.102.0~),
                gettext,
-               libkf5coreaddons-dev (>= 5.97~),
-               libkf5dbusaddons-dev (>= 5.97~),
-               libkf5declarative-dev (>= 5.97~),
-               libkf5i18n-dev (>= 5.97~),
-               libkf5kcmutils-dev (>= 5.97~),
-               libkf5notifications-dev (>= 5.97~),
+               libkf5coreaddons-dev (>= 5.102.0~),
+               libkf5dbusaddons-dev (>= 5.102.0~),
+               libkf5declarative-dev (>= 5.102.0~),
+               libkf5i18n-dev (>= 5.102.0~),
+               libkf5kcmutils-dev (>= 5.102.0~),
+               libkf5notifications-dev (>= 5.102.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev,
@@ -27,8 +28,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/plasma-thunderbolt
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-thunderbolt
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-thunderbolt.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-thunderbolt
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-thunderbolt
 Rules-Requires-Root: no
 
 Package: plasma-thunderbolt

## plasma-thunderbolt 5.27.10

=== debian/changelog ===
plasma-thunderbolt (5.27.10-1ubuntu1) noble; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

  [ Scarlett Moore ]
  * Release to archive. 

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 21 Feb 2024 04:20:24 -0700

plasma-thunderbolt (5.27.10-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.10).

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:20:59 +0100

plasma-thunderbolt (5.27.10-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 11 Dec 2023 11:23:04 +0000

plasma-thunderbolt (5.27.9-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:52:35 +0200

plasma-thunderbolt (5.27.9-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.9)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:20:20 +0100

plasma-thunderbolt (5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 20:48:39 +0200

## plasma-thunderbolt 5.27.11

=== src/kcm/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 
 add_library(kcm_bolt MODULE)
+kcmutils_generate_desktop_file(kcm_bolt)
 target_sources(kcm_bolt PRIVATE
     kcm_bolt.cpp
     kcm_bolt.h
@@ -16,7 +17,6 @@
 )
 
 install(TARGETS kcm_bolt DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/kcms/systemsettings)
-install(FILES kcm_bolt.desktop DESTINATION ${KDE_INSTALL_APPDIR})
 
 kpackage_install_package(package kcm_bolt kcms)

=== src/kded/CMakeLists.txt ===
--- 
+++ 
@@ -27,5 +27,5 @@
     kbolt
 )
 
-install(TARGETS kded_bolt DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kded)
-install(FILES kded_bolt.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})
+install(TARGETS kded_bolt DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf${QT_MAJOR_VERSION}/kded)
+install(FILES kded_bolt.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

=== debian/changelog ===
plasma-thunderbolt (5.27.11-0ubuntu3) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:47:47 +0200

plasma-thunderbolt (5.27.11-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:01:01 +0000

plasma-thunderbolt (5.27.11-0ubuntu1) noble; urgency=medium

  [ Scarlett Moore ]
  * New upstream release (5.27.11)

  [ José Manuel Santamaría Lema ]
  * Replace obsolete pkg-config build depend with pkgconf

 -- Scarlett Moore <sgmoore@debian.org>  Sun, 17 Mar 2024 07:24:39 +0000

plasma-thunderbolt (5.27.10-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:28:31 +0000

=== debian/control ===
--- 
+++ 
@@ -20,8 +20,8 @@
                libkf5i18n-dev (>= 5.102.0~),
                libkf5kcmutils-dev (>= 5.102.0~),
                libkf5notifications-dev (>= 5.102.0~),
-               pkg-config,
                pkg-kde-tools (>= 0.15.16),
+               pkgconf,
                qtbase5-dev,
                qtdeclarative5-dev (>= 5.15.0~),
                xauth <!nocheck>,
